/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package business;

import domain.BasketItem;
import domain.Product;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.ejb.EJBException;
import javax.ejb.Stateful;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.transaction.NotSupportedException;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

/**
 *
 * @author hardebolle
 */
@Stateful
public class BasketStateful {

    private ArrayList<BasketItem> items;
    private double totalPrice;
    
    public BasketStateful(){
        this.items = new ArrayList<BasketItem>();
        this.totalPrice = 0.0;
    }

    public ArrayList<BasketItem> getItems() {
        return items;
    }

    public double getTotalPrice() {
        return totalPrice;
    }
    
    public void addProduct(Product p){
           BasketItem i = new BasketItem();
            i.setProduct(p);
            i.setQuantity(1);
            this.items.add(i);
    }
    
    public void removeItem(BasketItem i){
        this.items.remove(i);
    }

    public void updateTotalPrice(){
        double total = 0.0;
        for(BasketItem i : this.items){
            total += i.getQuantity() * i.getProduct().getPrice();
        }
        this.totalPrice = total;
    }
}
