/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package business;

import domain.Product;
import java.util.List;
import javax.annotation.Resource;
import javax.ejb.EJBException;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceUnit;
import javax.persistence.TypedQuery;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

/**
 *
 * @author hardebolle
 */
@Stateless
public class CatalogFacade {

    @PersistenceUnit(unitName = "cqpasiPU")
    EntityManagerFactory emf;

    public List<Product> getProductList() {
        TypedQuery<Product> q = this.emf.createEntityManager().createNamedQuery("getAllProducts", Product.class);
        return q.getResultList();
    }

    public void add(Product p) {
        EntityManager em = this.emf.createEntityManager();
        try {
            em.getTransaction().begin();
            if (p != null) {
                em.persist(p);
            }
            em.getTransaction().commit();
        } catch (Exception e) {
            em.getTransaction().rollback();
            throw new EJBException("Transaction failed: " + e.getMessage());
        }
    }

    public void delete(Product p) {
        EntityManager em = this.emf.createEntityManager();
        if (p != null) {
            em.remove(em.merge(p));
        }
    }

    public void edit(Product p) {
        EntityManager em = this.emf.createEntityManager();
        if (p != null) {
            em.getTransaction().begin();
            em.merge(p);
            em.getTransaction().commit();
        }
    }
}
