/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import business.BasketStateful;
import domain.BasketItem;
import domain.Product;
import java.io.Serializable;
import java.util.ArrayList;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author hardebolle
 */
@ManagedBean(name = "basketController")
@SessionScoped
public class BasketController implements Serializable{

    @EJB
    private BasketStateful basket;
    
    public ArrayList<BasketItem> getItemList(){
        return this.basket.getItems();
    }    
    
    public double getTotalPrice(){
        return this.basket.getTotalPrice();
    }
    
    public String addProductToBasket(Product p){
        this.basket.addProduct(p);
        return "basket-view";
    }
    
    public String removeItemFromBasket(BasketItem i){
        this.basket.removeItem(i);
        return "basket-view";
    }
    
    public String updateTotalPrice(){
        this.basket.updateTotalPrice();
        return "basket-view";
    }
}
